---
title: Fonctions et méthodes
lang: fr
sidebar:
  order: 3
---

Après les variables, qui permettent de stocker de l'information, il faudrait
pouvoir modifier les données contenues dans le programme. C'est à quoi servent
les fonctions. Elles permettent d'utiliser et de modifier de l'information.

## Fonctionnement d'une fonction

Une fonction en Java a plusieurs caractéristiques, qu'on appelle souvent
signature.

- Son nom : Le nom d'une fonction devrait être assez clair et bien décrire
  l'effet ou l'utilité de la fonction.
- Son type de réponse : Une fonction peut retourner une valeur (ou pas), on doit
  donc dire le [type](/java/variables) de cette valeur.
- Ses paramètres : Une fonction peut prendre des paramètres, qui sont des
  valeurs qui pourraient modifier son effet, ou qui peuvent être utilisées par
  la fonction.

## Utiliser une fonction

C'est probablement ce que vous allez faire le plus souvent. Parfois même sans
vous en rendre compte.

```java
int x = add(4, 5);
```

Dans ce bout de code, on utilise la fonction `add`, qui permettrait d'ajouter
deux chiffres. Cette méthode retourne une valeur de type `int` et prend deux
chiffres en paramètre.

:::note

Cette fonction n'existe pas véritablement, vous pouvez juste utiliser un `+`
pour faire une addition.

:::

## Créer une fonction
